prizm 3.0 patch

Hello everyone
prizm 3.0 currently installed on Windows XP with prifesional postgres database Do I need to install the patch?
and where I can go down as the only venue for the prizm 2.0 and 3.1!

thanks